Ubuntu

Thunar hangs on first launch of each session

Reported by S. Christian Collins on 2011-05-01
216
This bug affects 40 people
Affects Status Importance Assigned to Milestone
gvfs
New
Undecided
Unassigned
thunar
Unknown
Unknown
gvfs (Ubuntu)
Undecided
Unassigned
thunar (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: thunar

** Bug Description **
Running a fresh install of Xubuntu Natty 32-bit, if I log in then launch Thunar (1.2.1-3ubuntu2), Thunar will not appear right away, and the desktop workspace will be unresponsive (excluding panels & other applications). Thunar eventually appears around 20 seconds later (est.), usually accompanied by the following error popup:

"Launch Error"
The folder could not be opened
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

In the accompanying instance of Thunar, the "Network" item is missing from the side pane shortcut view.

Depending on how long I've waited, usually the second or third Thunar launch attempt comes up very quickly, and the "Network" shortcut is present in the side pane.

I believe this is related to XFCE Bug 7373:
https://bugzilla.xfce.org/show_bug.cgi?id=7373

** My System **
PC: HP Pavilion dv1550se laptop
CPU: Intel(R) Pentium(R) M processor 1.60GHz
RAM: 1GB DDR400
Video: Mobile 915GM/GMS/910GML Express Graphics Controller
Sound: 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller
OS: Xubuntu 11.04 i386

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: thunar 1.2.1-3ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
Date: Sun May 1 15:07:24 2011
InstallationMedia: Xubuntu 11.04 "Natty Narwhal" - Release i386 (20110427)
ProcEnviron:
 LANGUAGE=en_CA:en
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
SourcePackage: thunar
UpgradeStatus: No upgrade log present (probably fresh install)

Changed in thunar (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Miles Prower (tails) wrote :

This affects me on two machines. One is running Xubuntu Natty, upgraded from Maverick fresh install, 64-bit. The other is running a fresh install of Mythbuntu (which also uses xfce), i386. Both see a delay on starting Thunar, followed by no error messages. On the 64-bit install I get another duplicate folder window open around 10 seconds after the original (without having started Thunar twice).

tags: added: iso-testing

Asus Eee-Pc 1015T
AMD V105 serie
Nile Platform
Ati Radeon HD 4250
4 GB ram
Xubuntu 11.04 - 32bit

Thunar lags is not releted to the number of opening. It seems to me that is related just to time instead: in the first 30-50 sec. Thunar lags on first, second, third, fourth,.. ..opening. After some time Thunar starts to open instantly as usual.

IMHO this bug is an high-importance one.

Francesco

tags: added: 11.04 thunar xfce xubuntu

Thunar 1.2.2 fixes this bug, (#7373).

http://git.xfce.org/xfce/thunar/tree/NEWS?id=3174e67eae7add14e09844d7c21bb503218e0fda

Compiling it from the source causes critical error on startup after system reboot.

High importance seems to much. With a little bit of patience, it starts at
last.It isn't something that makes the system or even just thunar itself
unusable (that would be something like not starting at all). I'd say it is
of medium importance. And the XFCE bugzilla team is aware of this bug and
are working to fix it for the next release of thunar.

On Thu, Jun 2, 2011 at 11:47 AM, Francesco Miglietta <
<email address hidden>> wrote:

> Asus Eee-Pc 1015T
> AMD V105 serie
> Nile Platform
> Ati Radeon HD 4250
> 4 GB ram
> Xubuntu 11.04 - 32bit
>
> Thunar lags is not releted to the number of opening. It seems to me that
> is related just to time instead: in the first 30-50 sec. Thunar lags on
> first, second, third, fourth,.. ..opening. After some time Thunar starts
> to open instantly as usual.
>
> IMHO this bug is an high-importance one.
>
> Francesco
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (782729).
> https://bugs.launchpad.net/bugs/775117
>
> Title:
> Thunar hangs on first launch of each session
>
> Status in Thunar file manager:
> Unknown
> Status in “thunar” package in Ubuntu:
> Triaged
>
> Bug description:
> Binary package hint: thunar
>
> ** Bug Description **
> Running a fresh install of Xubuntu Natty 32-bit, if I log in then launch
> Thunar (1.2.1-3ubuntu2), Thunar will not appear right away, and the desktop
> workspace will be unresponsive (excluding panels & other applications).
> Thunar eventually appears around 20 seconds later (est.), usually
> accompanied by the following error popup:
>
> "Launch Error"
> The folder could not be opened
> Did not receive a reply. Possible causes include: the remote application
> did not send a reply, the message bus security policy blocked the reply, the
> reply timeout expired, or the network connection was broken.
>
> In the accompanying instance of Thunar, the "Network" item is missing
> from the side pane shortcut view.
>
> Depending on how long I've waited, usually the second or third Thunar
> launch attempt comes up very quickly, and the "Network" shortcut is
> present in the side pane.
>
> I believe this is related to XFCE Bug 7373:
> https://bugzilla.xfce.org/show_bug.cgi?id=7373
>
> ** My System **
> PC: HP Pavilion dv1550se laptop
> CPU: Intel(R) Pentium(R) M processor 1.60GHz
> RAM: 1GB DDR400
> Video: Mobile 915GM/GMS/910GML Express Graphics Controller
> Sound: 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller
> OS: Xubuntu 11.04 i386
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: thunar 1.2.1-3ubuntu2
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic i686
> Architecture: i386
> Date: Sun May 1 15:07:24 2011
> InstallationMedia: Xubuntu 11.04 "Natty Narwhal" - Release i386 (20110427)
> ProcEnviron:
> LANGUAGE=en_CA:en
> LANG=en_CA.UTF-8
> SHELL=/bin/bash
> SourcePackage: thunar
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/thunar/+bug/775117/+subscribe
>

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunar - 1.2.2-1

---------------
thunar (1.2.2-1) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream release.
    - load network stuff later to speed up start (Xfce #7373). closes: #626200
      lp: #775117
    - fixed Dutch translation lp: #781048
  * debian/patches:
    - 01_use-system-td dropped, included upstream.
    - 02_thunar-icon-naming-spec-compliance dropped, don't replace stock icons
      even if they aren't part of the spec.
    - 03_Don-t-interpret-file-display-names-as-format-strings dropped,
      included upstream.
  * debian/control:
    - drop build-dep on xfce4-dev-tools, libtool and gtk-doc-tools
  * debian/rules:
    - don't run xdt-autogen anymore.

  [ Lionel Le Folgoc ]
  * debian/patches:
    - 01_retrieve-the-translated-desktop-file-name.patch: fixes untranslated
      .desktop display name.
    - series: refreshed.
 -- Lionel Le Folgoc <email address hidden> Wed, 22 Jun 2011 11:04:58 +0000

Changed in thunar (Ubuntu):
status: Triaged → Fix Released
Marcin Juszkiewicz (hrw) wrote :

Can we somehow give this update to natty users?

Lionel Le Folgoc (mrpouit) wrote :

Here's the patch if you want to apply this: <http://git.xfce.org/xfce/thunar/commit/?h=xfce-4.8&id=a14345dafd7cb6333317d5ebddf62fbddc946c27>.

But that's more of a workaround than a real fix, because the "network" shortcut will be loaded after the main thunar window is shown, and this can render it unresponsive for a few seconds (see upstream bug report).

Steven Keys (steevven1) wrote :

I'm running Xubuntu 11.04 64-bit...How can I install the new version of Thunar if there is a fix? Thanks.

pazuzuthewise (pazuzuthewise) wrote :
Download full text (3.2 KiB)

This patch seems to be included in the debian repository used for
linux mint debian edition 201108 xfce rc, at least for the x32
version. Both x32 and x64 versions can be downloaded from

http://blog.linuxmint.com/?p=1807

In the 32 bit one, thunar start immediately, but is unresponsive for
some seconds, until the "network" link in the side-panel is loaded.

What is interesting though, is that in the fedora 15 xfce spin (I've
tested only the x32 version), thunar, which has exactly the same
version number as that used in xubuntu 11.04, works flawlessly. There
is no delay whatsoever. Could this bug only affect debian-based
distributions, and hence come from the debian package, and not from
the xfce source code?

Has anyone tried to compile the upstream thunar from source, directly
downloaded from the xfce project?

On 9/5/11, Steven Keys <email address hidden> wrote:
> I'm running Xubuntu 11.04 64-bit...How can I install the new version of
> Thunar if there is a fix? Thanks.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (782729).
> https://bugs.launchpad.net/bugs/775117
>
> Title:
> Thunar hangs on first launch of each session
>
> Status in Thunar file manager:
> Unknown
> Status in “thunar” package in Ubuntu:
> Fix Released
>
> Bug description:
> Binary package hint: thunar
>
> ** Bug Description **
> Running a fresh install of Xubuntu Natty 32-bit, if I log in then launch
> Thunar (1.2.1-3ubuntu2), Thunar will not appear right away, and the desktop
> workspace will be unresponsive (excluding panels & other applications).
> Thunar eventually appears around 20 seconds later (est.), usually
> accompanied by the following error popup:
>
> "Launch Error"
> The folder could not be opened
> Did not receive a reply. Possible causes include: the remote application
> did not send a reply, the message bus security policy blocked the reply, the
> reply timeout expired, or the network connection was broken.
>
> In the accompanying instance of Thunar, the "Network" item is missing
> from the side pane shortcut view.
>
> Depending on how long I've waited, usually the second or third Thunar
> launch attempt comes up very quickly, and the "Network" shortcut is
> present in the side pane.
>
> I believe this is related to XFCE Bug 7373:
> https://bugzilla.xfce.org/show_bug.cgi?id=7373
>
> ** My System **
> PC: HP Pavilion dv1550se laptop
> CPU: Intel(R) Pentium(R) M processor 1.60GHz
> RAM: 1GB DDR400
> Video: Mobile 915GM/GMS/910GML Express Graphics Controller
> Sound: 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller
> OS: Xubuntu 11.04 i386
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: thunar 1.2.1-3ubuntu2
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic i686
> Architecture: i386
> Date: Sun May 1 15:07:24 2011
> InstallationMedia: Xubuntu 11.04 "Natty Narwhal" - Release i386 (20110427)
> ProcEnviron:
> LANGUAGE=en_CA:en
> LANG=en_CA.UTF-8
> SHELL=/bin/bash
> SourcePackage: thunar
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manag...

Read more...

nickgsd (nickgsd) wrote :

Running Xubuntu 11.04 fully up-to-date as at 2011-09-30 at 22:50 BST. First run displays message as described after ~20-30 seconds delay to open file manager window as in original bug but subsequent openings are fast.

Changed in thunar (Ubuntu):
status: Fix Released → Triaged
Joshua O'Leary (jmoleary) wrote :

This Bug is still present in Xubuntu 11.10. After experimenting, it seems that this behaviour only occurs when the package gvfs-backends is installed, which gives Thunar network support (samba).

Joshua O'Leary (jmoleary) wrote :

WORKAROUND:

Edit the file /usr/share/gvfs/mounts/network.mount (as root), and change AutoMount from true to false. This disables the Network browsing when Thunar starts up, but still lets you mount network storage such as samba shares on demand.

Steven Keys (steevven1) wrote :

First opening seems MUCH faster on Xubuntu 11.10 (compared to 11.04) for me, but still far from instant. Subsequent openings are instant, as before.

GridCube (gridcube) wrote :

Whats happening to me now is on the first launch it takes a lot of time, and when it launchs it opens two or even three instances of thunar

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gvfs (Ubuntu):
status: New → Confirmed
Jamie Krug (jamie-thekrugs) wrote :

I had the same experience as @gridcube (comment 15) on Xubuntu 11.10/Oneiric; very slow first open of Thunar, with multiple instances popping open. Last test, I tried to open my ~/Downloads folder in Thunar (via Kupfer); while nothing was happening, I tried opening my home folder in thunar from Terminal; shortly after *three* Thunar windows opened (one for Home and *two* for ~/Downloads).

Joshua O'Leary's workaround (comment 13) of changing AutoMount to false in /usr/share/gvfs/mounts/network.mount seems to fix this hang for me. Thanks!

justrich (rfway) wrote :

Tried fix (comment 13). Did not work for me. Still about 25-30 second hang on first use of Thunar.

I don't know if it matters, but I have Ubuntu/Unity installed as an alternate desktop.

GridCube (gridcube) wrote :

still a problem on precise so far

justrich (rfway) wrote :

Works now.

I don't know if it was the latest updates or going back and re-entering the "false" comment noted in comment #13 under gksudo rather than sudo.

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/775117

Joshua O'Leary's workaround (comment 13) of changing AutoMount to false in /usr/share/gvfs/mounts/network.mount worked for me on the original install and update of 11.10, but since upadting to version 3.0.0-15 it no longer works. Thunar is now at version 1.2.3.

mce (mc2-seznam) wrote :

affects me on xubuntu desktop, xfce 4.8
as file manager is a core app, default in xfce, its really annoying to me

ale-biancalani (aleb-garching) wrote :

I had the same problem in a freshly installed Xubuntu 11.10. After having applied changes prescribed by Joshua (comment #13) my Thunar now works perfectly! Thanks Joshua!

Francesco Santoro (gggsartori) wrote :

I can confirm that the workaround in comment #13 worked for me.
I had this problem since xubuntu 11.04, in 11.10 until now. Thanks !

b3nmore (b3nmore) wrote :

This is still an issue in 12.04.
First start: time thunar

real 0m20.223s
user 0m0.016s
sys 0m0.008s

second start: time thunar

real 0m0.057s
user 0m0.012s
sys 0m0.008s

As workaround I suggest setting AutoMount =false in /usr/share/gvfs/mounts/network.mount and add following autostart entry:
gvfs-mount network: > /dev/null && gvfs-ls network: > /dev/null

I've attached an desktop file for this autostart entry; just copy it into $HOME/.config/autostart .

I can confirm this issue also affects me in Xubuntu 12.04, the same way it did in Xubuntu 11.10.

I remember when I've signaled this issue 1 year and 3 Ubuntu version ago
and people wrote "High importance seems to much. With a little bit of
patience.. .."

:)

I did start reading the thread believing it must be irrelevant as there were apparent patches, it's affected the last few versions of Xubuntu so I'm surprised a fix hasn't yet been found (or designated anything other than low).

I've now stopped GVFS automounting as per comment 13 and it "solved" the problem.

Ted Slawinski (ted-slawinski) wrote :

changing AutoMount=false not really a good work around. This leads to:

DBus error org.freedesktop.DBus.Error.InvalidArgs: Mountpoint Already registered

when selecting Network in the file manager.

If I try to replace the default file manager with pcman (which works well), the software manager wants to remove the xubuntu desktop (not good). This problem really needs to be fixed...

Justin High (novafluxx) wrote :

Confirmed, happens with me as well. 32-bit Xubuntu 12.04 in both VMware Fusion and VirtualBox installations.

Jochen Fahrner (jofa) wrote :

Is there any developer working on this bug? Happens to me too. 64-bit Xubuntu, native installation on MacBook Pro.

luffliffloaf (luffliffloaf) wrote :

This bug is still very much alive and well. 64-bit Xubuntu 12.04 fresh install. Thunar 1.2.3

luffliffloaf (luffliffloaf) wrote :

I removed gvfs-backends (nothing seemed to depend on it) and Thunar seems to now be working...

Justin High (novafluxx) wrote :

Been over a year now. Doesn't look good. I should learn C/C++ and just fix it myself. It would be faster.

Joshua O'Leary (jmoleary) wrote :

This problem still occurs with the latest precise install, but the workaround still works. You may have to re-apply it after updating - some of the configuration files get overwritten by the updates.

George Miles (dicegeorge) wrote :

Perhaps there's a timer somewhere waiting for a network response which should be set to 20ms but is set to 20 seconds?

How frustrating!

[george]

Kai (zeus557) wrote :

I confirm what Ted Slawinski in Post #30 said.

I cannot understand why this bug is back again...

Jochen Fahrner (jofa) wrote :

... and I cannot understand why no one is working on this bug.

Sebastien Bacher (seb128) wrote :

> ... and I cannot understand why no one is working on this bug.

if that helps: try to think why you are not yourself working on this bug ... does the reason could apply to others? (hint: Ubuntu is an open project, anyone if free to contribute, nobody is forced to do work)

Jochen Fahrner (jofa) wrote :

The answer is easy: I'm not working on *this* bug because this is not my area of expertise.

Sebastien Bacher (seb128) wrote :

ok, translated to Ubuntu: "it seems Ubuntu has no contributor with expertise on that component", does it reply to your question?

lvscar (lvscar) wrote :

After modify /usr/share/gvfs/mounts/network.mount AutoMount option to false , the long waiting thunar startup gone . I think it not a gvfs bug but cause by thunar not have use gvfs automount feature proper. Maybe two pass driver loading?

lvscar came across the same solution I just found in the Arch forums:

Solving problem with slow cold start:
Some people still have problems with Thunar taking a long time to start for the first time. This is due to gvfs checking the network and Thunar won't show up before gvfs finishes. To change this behaviour, edit /usr/share/gvfs/mounts/network.mount and change AutoMount=true to AutoMount=false.

Nice to solve this, it was irritating!

This is still present in 12.10 and still has to be fixed quickly in my opinion. Modifying /usr/share/gvfs/mounts/network.mount has three clear downsides; it has to be done on every machine after every clean install (so basically twice a year on all your computers); it puts an ugly broken-file icon with the text "network://" in the side pane (which simply looks amateuristic), and local changes are overwritten on every update of gvfs-backends. Nautilus, on the other hand, works fine without modifying any file. Why can't Thunar act the way Nautilus does? Clicking the network icon in Nautilus will render the short delay; not the initial startup.

huy tran (novo2809) wrote :

fresh install xubuntu 12.04 on dell 1121. i didnt know this bug has been around for a long time but no one fix it from the source? wow

Isak Andersson (icepapih) wrote :

What needs to be done before the launch is to set AutoMount to false in /usr/share/gvfs/mounts/network.mount like people have been pointing out. It is not an error in C++ code, it is just a config file that needs to be packaged with better defaults. You don't break anything by doing this, you just get the delay if you click the network button because it will check the network then instead of during boot. However it could be worth making the checking on its own thread. That would also fix the issue.

Joshua O'Leary (jmoleary) wrote :

Isak - that is really only a workaround, since gvfs really should be loaded before thunar starts, and not called after. XFCE is written entirely in C, and unfortunately I am not yet skilled enough in the language to be able to fix things. Perhaps it would be wiser to ship a modified network.mount file with the xubuntu image to at least have a faster file manager out-of-the-box.

Joshua O'Leary (jmoleary) wrote :

If you were fed up with updates etc. overwriting the file, you could always add a script that overwrote the file on each boot - adding this to /etc/rc.local would do it (before 'return 0':

# Overwrite network.mount to fix slow thunar start bug
conffile=/usr/share/gvfs/mounts/network.mount
echo "[Mount]" > "$conffile"
echo "Type=network" >> "$conffile"
echo "Exec=/usr/lib/gvfs/gvfsd-network" >> "$conffile"
echo "AutoMount=false" >> "$conffile"

A bit annoying but would do the trick!

Just use chattr +i /usr/share/gvfs/mounts/network.mount?

tags: added: fixed-in-master
Changed in thunar (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunar - 1.6.0-0ubuntu1

---------------
thunar (1.6.0-0ubuntu1) raring; urgency=low

  * Upload to raring.
  * Remaining Ubuntu change:
    - debian/control: recommend udisks2 for mounting devices. lp: #1014632
  * Drop obsolete Ubuntu changes:
    - debian/patches/02_guard-for-no-supported-vfs-schemas.patch,
      debian/patches/xubuntu_fix-duplicate-volumes.patch: included upstream.
  * Bugs fixed:
    - "Thunar: sendto_printer broken" lp: #1061846
    - "segfault when a specific html file is selected" lp: #751739
    - "can't book mark remote shares" lp: #778268
    - "Thunar crashed with SIGSEGV in thunarx_menu_provider_get_file_actions()
      thinking a directory was a file" lp: #852410
    - "Left or right-clicking on 3MB or bigger svg file is unresponsive"
      lp: #893330
    - "Thunar crashed with SIGSEGV in fast_validate()" lp: #913041
    - "Thunar crashed with SIGSEGV in thunar_file_get_display_name()"
      lp: #931101
    - "Thunar crashed with SIGSEGV in sort_by_mime_type()" lp: #931842
    - "Thunar crashed with SIGSEGV in thunar_util_parse_parent()" lp: #969222
    - "thunar crashed with SIGSEGV in thunar_standard_view_cancel_thumbnailing()"
      lp: #1059397
    - "Does not unmount USB drive when you try first time" lp: #1059997
    - "regression: thunar no longer shows all unmounted, but mountable, volumes
      in sidepane" lp: #1068947
    - "Thunar shows folder sizes wrong" lp: #59235
    - "Right-click "Open With" list not refreshing" lp: #107392
    - "no thunar contextmenu with GTK setting "gtk-menu-popup-delay = 0""
      lp: #127372
    - "rename folder, still active but answers not on 'Enter'" lp: #479975
    - "Thunar hangs on first launch of each session" lp: #775117
    - "emblems disappear on rename" lp: #877755
    - "Remote Deleted file in Thunar remains visible until resfresh" lp: #999824
    - "Incorrect alphabetical sort order in thunar with non-latin (eg. cyrillic)
      file names" lp: #684317
    - "Thunar does not display current folder name" lp: #875193
    - "Thunar crashed with SIGSEGV in g_file_equal()" lp: #900306
    - "Hard to see, if volume is mounted or not" lp: #838917

thunar (1.6.0-1) UNRELEASED; urgency=low

  [ Lionel Le Folgoc ]
  * Drop the "Send to printer" action, xfprint4 is obsolete.
  * debian/control:
    - dropped libtdb-dev from b-deps, emblems have been moved to gvfs.
    - bumped minimum required exo version to 0.10.0 for the new symbol.

  [ Yves-Alexis Perez ]
  * New upstream release.
 -- Lionel Le Folgoc <email address hidden> Mon, 03 Dec 2012 13:13:58 +0100

Changed in thunar (Ubuntu):
status: Fix Committed → Fix Released
warren (wkclemmons) wrote :

The bug is still present on two computers which Xubuntu 12.04(Xfce4.8.3 and Thunar 1.2.3) is installed one is a 64bit the other is 32bit.

JaSauders (jasauders) wrote :

Fresh install of Xubuntu 12.04 today, bug is still present. Perhaps it's time to install an alternative file manager...

Jochen Fahrner (jofa) wrote :

I think I found a solution for this nasty bug. In /etc/samba/smb.conf acivate the "name resolve order" line and change it to:

name resolve order = wins bcast

The "host" component of the search tries browsing the internet and makes the search hang.

Il 22/02/2013 10:19, Jochen Fahrner ha scritto:
> I think I found a solution for this nasty bug. In /etc/samba/smb.conf
> acivate the "name resolve order" line and change it to:
>
> name resolve order = wins bcast
>
> The "host" component of the search tries browsing the internet and makes
> the search hang.
>

In the past i did the following

(http://forum.xfce.org/viewtopic.php?id=6635)

i modified the file

usr/share/gvfs/mounts/network.mount

and i had replaced true with false in this row

  Automount=false (prima era true)

so now i have

[Mount]
Type=network
Exec=/usr/lib/gvfsd-network
AutoMount=false

and in this way i resolve my problem.

Now in my file i have

name resolve order = lmhosts host wins bcast

so i had to delete "lmhosts host" ???

--
Stek Turku

inviata da Xubuntu

Jochen Fahrner (jofa) wrote :

Hi Stefano,

> i modified the file usr/share/gvfs/mounts/network.mount

with that change you have to wait the first time you click on "Network".

>Now in my file i have
>name resolve order = lmhosts host wins bcast
>so i had to delete "lmhosts host" ???

It's essential that you remove the "host". This is the cause for the hangs.
But you can also remove the lmhosts. This has no function until you add some entries in /etc/samba/lmhosts.

Il 23/02/2013 07:47, Jochen Fahrner ha scritto:
> Hi Stefano,
>
>> i modified the file usr/share/gvfs/mounts/network.mount
>
> with that change you have to wait the first time you click on "Network".
>
>> Now in my file i have
>> name resolve order = lmhosts host wins bcast
>> so i had to delete "lmhosts host" ???
>
> It's essential that you remove the "host". This is the cause for the hangs.
> But you can also remove the lmhosts. This has no function until you add some entries in /etc/samba/lmhosts.
>

Hi Jochen,
it doesn't work. I had made the modifications you wrote me (the first
modification is because in the past i have modificated
"AutoMount=false", while the second is yours):

/usr/share/gvfs/mounts/network.mount

[Mount]
Type=network
Exec=/usr/lib/gvfsd-network
AutoMount=true

/etc/samba/smb.conf

name resolve order = lmhosts wins bcast

In the following i describe you that it happens.
I launch thunar.
The first thunar window appear after almost 20 secs and after another 5
secs appear a second thunar window; neither of the two windows don't
have the network icon on the left panel (bookmarks of folders, Ctrl+B).
If i open another thunar window it also doesn't have the network icon
but if i close all thunar windows and then open a new thunar window i
have the network icon (if i click on it appear istantly on the main the
Windows network icon).
In the task manager the thunar -daemon process was present.

--
Stek Turku

inviata da Xubuntu

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.